Page MenuHomePhabricator

Unbalanced h2 makes PDF rendering fail
Closed, DeclinedPublic

Description

Stato: ! Paragraph ended before \@sect was complete.


Originally filed as:


No idea if http://parsoid-lb.eqiad.wikimedia.org/mediawikiwiki/?oldid=1187603 is correct


Version: unspecified
Severity: minor
URL: https://www.mediawiki.org/w/index.php?title=Project%3ASandbox&oldid=1187603

Details

Reference
bz71826

Related Objects

StatusSubtypeAssignedTask
DeclinedNone
Resolvedssastry

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:56 AM
bzimport added a project: OCG-PDF-renderer.
bzimport set Reference to bz71826.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Oct 8 2014, 7:19 PM
cscott added a comment.Oct 9 2014, 3:42 PM

The Parsoid HTML isn't pretty here.

Restricted Application added a project: Internet-Archive. · View Herald TranscriptNov 29 2015, 2:06 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript

As already announced in Tech News, OfflineContentGenerator (OCG) will not be used anymore after October 1st, 2017 on Wikimedia sites. OCG will be replaced by Electron. You can read more on mediawiki.org.

Aklapper closed this task as Declined.Sun, Feb 28, 10:10 AM

Declining this task as OCG has been dead for years and superseded by Proton and Electron-PDFs on Wikimedia servers.

With the current Special:DownloadAsPdf on Wikimedia servers and the testcase in https://www.mediawiki.org/wiki/?oldid=1187603 copied to https://www.mediawiki.org/wiki/User:AKlapper_(WMF)/Sandbox this problem does not happen anymore; code seems to be more robust handling open <h2>s.